Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.PageView

Extends M.View.
M.PageView is the prototype of any page. It is the seconds 'highest' view, right after M.Application. A page is the container view for all other views.
Defined in: page.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.PageView()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| beforeHide This property can be used to set the page's beforeHide action.
| beforeLoad This property can be used to set the page's beforeLoad action.
| hasTabBarView Indicates whether the page has a tab bar or not.
| isFirstLoad States whether a page is loaded the first time or not.
| onHide This property can be used to set the page's onHide action.
| onLoad This property can be used to set the page's onLoad action.
| tabBarView The page's tab bar.
| type The type of this object.

Fields borrowed from class M.View:
  childViews, contentBinding, cssClass, cssClassOnError, cssClassOnInit, cssStyle, hasFocus, html, id, isInline, isView, modelId, parentView, triggerActionOnChange, triggerActionOnEnter, triggerActionOnKeyUp, value

Method Summary
Method Attributes | Method Name and Description
--- | ---
| orientationDidChange(orientation) This method is called if the device's orientation changed.
| pageDidHide() This method is called right after the page was hidden.
| pageDidLoad() This method is called right after the page was loaded.
| pageWillHide() This method is called right before the page is hidden.
| pageWillLoad() This method is called right before the page is loaded.
| writeToDOM() This method writes the view's html string into the DOM.

Methods borrowed from class M.View:
  addCssClass, attachToObservable, clearHtml, computeValue, contentDidChange, delegateValueUpdate, design, gotFocus, lostFocus, nl2br, removeCssClass, removeCssProperty, renderUpdate, secure, setCssProperty, setValueFromDOM, style, theme, themeChildViews
Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.PageView()
Field Detail
{Object} beforeHide
This property can be used to set the page's beforeHide action.

{Object} beforeLoad
This property can be used to set the page's beforeLoad action.

{Boolean} hasTabBarView
Indicates whether the page has a tab bar or not.

{Boolean} isFirstLoad
States whether a page is loaded the first time or not. It is automatically set to NO once the page was first loaded.

{Object} onHide
This property can be used to set the page's onHide action.

{Object} onLoad
This property can be used to set the page's onLoad action.

{M.TabBarView} tabBarView
The page's tab bar.

{String} type
The type of this object.
Method Detail
orientationDidChange(orientation)
This method is called if the device's orientation changed.

Parameters:
orientation

pageDidHide()
This method is called right after the page was hidden. If a onHide-action is defined for the page, it is now called.

pageDidLoad()
This method is called right after the page was loaded. If a onLoad-action is defined for the page, it is now called.

pageWillHide()
This method is called right before the page is hidden. If a beforeHide-action is defined for the page, it is now called.

pageWillLoad()
This method is called right before the page is loaded. If a beforeLoad-action is defined for the page, it is now called.

writeToDOM()
This method writes the view's html string into the DOM. M.Page is the only view that does that. All other views just deliver their html representation to a page view.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:33 GMT+0100 (MEZ)